> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/dids.md).

# DIDs

Endpoints for managing Decentralized Identifiers (DIDs)

## Create a new DID

> This endpoint creates a new Decentralized Identifier (DID) using the provided API key.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"DIDs","description":"Endpoints for managing Decentralized Identifiers (DIDs)"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/create-did":{"post":{"summary":"Create a new DID","description":"This endpoint creates a new Decentralized Identifier (DID) using the provided API key.","tags":["DIDs"],"responses":{"200":{"description":"DID created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"did":{"type":"object","properties":{"did":{"type":"string","description":"The created DID."},"verkey":{"type":"string","description":"The verification key for the DID."},"posture":{"type":"string","description":"The posture of the DID."},"key_type":{"type":"string","description":"The type of key used for the DID."},"method":{"type":"string","description":"DID method."},"metadata":{"type":"object","description":"Additional metadata for the DID."}}}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Set a public DID

> This endpoint sets a public Decentralized Identifier (DID) using the provided API key and DID.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"DIDs","description":"Endpoints for managing Decentralized Identifiers (DIDs)"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/set-public-did":{"post":{"summary":"Set a public DID","description":"This endpoint sets a public Decentralized Identifier (DID) using the provided API key and DID.","tags":["DIDs"],"parameters":[{"in":"query","name":"DID","required":true,"schema":{"type":"string"},"description":"The DID to be set as public."}],"responses":{"200":{"description":"DID set as public successfully","content":{"application/json":{"schema":{"type":"object","properties":{"did":{"type":"object","description":"The public DID."}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Create a new did:indy DID

> This endpoint creates a new Decentralized Identifier (DID) using the provided API key.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"DIDs","description":"Endpoints for managing Decentralized Identifiers (DIDs)"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/did/indy":{"post":{"summary":"Create a new did:indy DID","description":"This endpoint creates a new Decentralized Identifier (DID) using the provided API key.","tags":["DIDs"],"responses":{"200":{"description":"DID created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"did":{"type":"string","description":"The created DID."}}}}}},"401":{"description":"Unauthorized."},"412":{"description":"The TAA must be signed before calling this endpoint","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```
